Page MenuHomePhabricator

Cannot access the footer on Minerva diff pages as no way to target styles specific to this page
Closed, ResolvedPublic0 Estimated Story PointsBUG REPORT

Description

NOTE: Probably best to wait on T350596 before doing something here. See also T350454.

Steps to replicate the issue (include links if applicable):

What happens?:
It's impossible to access the footer.

Screenshot 2023-11-17 at 11.57.22 AM.png (283×602 px, 17 KB)

What should have happened instead?:

It should be possible to access the footer. Some space below the footer should be reserved but this requires adding scroll on the page element.
On https://de.m.wikipedia.org/wiki/Spezial:Mobiler_Unterschied/152400620 the following rule exists for Special:MobileDiff page and the mw-special-MobileDiff class is available on the BODY tag:
https://github.com/wikimedia/mediawiki-extensions-MobileFrontend/blob/master/resources/mobile.special.mobilediff.styles/mobilediff.less#L32

footer {
    margin-bottom: 10em;
}

however Minerva does not have a way to target the diff page without also targeting the article page

QA

  • Check you can access the footer
  • Check T350515 has not regressed.

QA Results - Beta

ACStatusDetails
1T350637#9411913
2T350637#9411913

QA Results - Prod

ACStatusDetails
1T350637#9448207
2T350637#9448207

Event Timeline

Jdlrobson renamed this task from Last modified bar is taller on FlaggedRevisions pages than it should be due to additional mediawiki.diff.styles being loaded to Cannot access the footer on Minerva diff pages as no way to target styles specific to this page.Nov 6 2023, 11:22 PM
Jdlrobson updated the task description. (Show Details)

This will likely need a class on the BODY tag per T350596#9341842 so tagging mediawiki platform team for now (not urgent)

@Jdlrobson F41514192 is not visible, could you please attach it to this task?

Jdlrobson triaged this task as Medium priority.Dec 4 2023, 5:30 PM
jsn.sherman changed the task status from Open to In Progress.Dec 14 2023, 3:01 PM
jsn.sherman claimed this task.

Change 983203 had a related patch set uploaded (by Jsn.sherman; author: Jsn.sherman):

[mediawiki/core@master] Add body class to Article diff pages

https://gerrit.wikimedia.org/r/983203

Change 983205 had a related patch set uploaded (by Jsn.sherman; author: Jsn.sherman):

[mediawiki/skins/MinervaNeue@master] WIP: show article footer on diff pages

https://gerrit.wikimedia.org/r/983205

Change 983203 merged by jenkins-bot:

[mediawiki/core@master] Add body class to Article diff pages

https://gerrit.wikimedia.org/r/983203

Change 983205 merged by jenkins-bot:

[mediawiki/skins/MinervaNeue@master] show article footer on diff pages

https://gerrit.wikimedia.org/r/983205

Edtadros subscribed.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Sonoma
Browser: Chrome
Device: MBA
Emulated Device:NA

Test Artifact(s):

QA Steps

Visit https://de.wikipedia.org/w/index.php?title=Paul_Gleeson&diff=206966073&oldid=196319309&useskin=minerva or similar page on beta.
Shrink browser
✅ AC1: Check you can access the footer

screenshot 196.mov.gif (1×586 px, 2 MB)

✅ AC2: Check T350515 has not regressed.

desktopmobile
screenshot 197.mov.gif (1×1 px, 2 MB)
screenshot 198.mov.gif (1×1 px, 2 MB)

@Jdlrobson the test passes based on the scope, however there is another possible regression. You can see the replay.io here. If this is unrelated please move this to Ready for Sign Off.

screenshot 380.png (1×845 px, 218 KB)

Thanks! The bug you raise is tracked in T353407

Edtadros added a project: Verified.

Test Result - Prod

Status: ✅ PASS
Environment: dewiki
OS: macOS Sonoma
Browser: Chrome
Device: MBA
Emulated Device:NA

Test Artifact(s):

QA Steps

Visit https://de.wikipedia.org/w/index.php?title=Paul_Gleeson&diff=206966073&oldid=196319309&useskin=minerva or similar page on beta.
Shrink browser
✅ AC1: Check you can access the footer

screenshot 206.mov.gif (1×722 px, 1 MB)

✅ AC2: Check T350515 has not regressed.

desktopmobile
screenshot 390.png (1×722 px, 223 KB)
screenshot 391.png (854×913 px, 188 KB)